TechDraw "Вставить Вид"

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw View and the translation is 40% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский

TechDraw View.svg Вставить Вид

Системное название
TechDraw_View
Расположение в меню
TechDraw → Вставить Вид
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Вставить группу проекций, Вставить Вид сечения

Описание

The View tool adds a representation of one or more objects to a Drawing page. This is the basic building block of the TechDraw workbench. Most other Views are derived in some way from NewView.

View will try to draw anything with a Shape property. You can select sketches, PartDesign Bodies, Draft objects etc. View will also extract any shapes from objects within a Std Part or a Std Group.

TechDraw View example.png

View of a solid box with hidden lines

Применение

  1. Optionally rotate the 3D view. The camera direction in the 3D view determines the initial value of the ДанныеDirection property of the View.
  2. Select one or more objects in the 3D view or Tree view.
  3. If there are multiple drawing pages in the document: optionally add the desired page to the selection by selecting it in the Tree view. This is not optional for version 0.19 and below.
  4. There are several ways to invoke the tool:
    • Press the TechDraw View.svg TechDraw View button.
    • Select the TechDraw → TechDraw View.svg Insert View option from the menu.
  5. If there are multiple drawing pages in the document and you have not yet selected a page, the Page Chooser dialog box opens: introduced in version 0.20
    1. Select the desired page.
    2. Press the OK button.

Свойства

Данные

Base

  • ДанныеX: The view's horizontal position on the page. (1)
  • ДанныеY: The view's vertical position on the page. (1)
  • ДанныеLockPosition: Prevents Views from being dragged in the Gui when true. The View can still be moved by changing X,Y properties. (1)
  • ДанныеRotation: Counterclockwise rotation of the View on the page in degrees. (1)
  • ДанныеScaleType: "Document": use the Page's scale setting. "Custom": use a scale unique to this view. "Automatic": fit view to page. (1)
  • ДанныеScale: A view will be rendered on the page in Scale:1 ratio to the Source. (1)
  • ДанныеCaption: Optional short text caption.

Cosmetics

HLR Parameters

  • ДанныеCoarseView: If true, TechDraw will use a polygon approximation to calculate drawing geometry. If false, TechDraw will use a precision algorithm. CoarseView can be much faster for complex models. The quality of the drawing is reduced, since every curve is approximated as a series of short line segments. Vertices are not displayed in CoarseView since each short segment would result in two new Vertices and the display becomes cluttered. Linear Dimensions can be added to a CoarseView, but are unlikely to be useful.
  • ДанныеSmooth Visible: Visible Smooth lines on/off.
  • ДанныеSeam Visible: Visible Seam lines on/off.
  • ДанныеIso Visible: Visible Isometric(u,v) lines on/off.
  • ДанныеHard Hidden: Hidden lines on/off.
  • ДанныеSmooth Hidden: Hidden Smooth lines on/off.
  • ДанныеSeam Hidden: Hidden Seam lines on/off.
  • ДанныеIso Hidden: Hidden Isometric(u,v) lines on/off.
  • ДанныеIso Count: Number of Isometric(u,v) lines to draw on each face.

Projection

  • ДанныеSource: Links to the drawable objects to be depicted.
  • ДанныеXSource: Links to the drawable objects in an external file. introduced in version 0.19
  • ДанныеDirection: this vector controls the direction from which you are viewing the object. +X is right, -X is left, +Y is rear, -Y is front (looking into the screen), +Z is up and -Z is down. So a Front view is (0,-1,0) and an isometric view is (1,-1,1). (1)
  • ДанныеXDirection: this vector controls the rotation of the view around the Direction. introduced in version 0.19. (1)
  • ДанныеPerspective: True for perspective projection, false for orthogonal projection.
  • ДанныеFocus: Distance from camera to projection plane for perspective projections. Needs to be adjusted to fit the object. Too far and the perspective is lost, too close and the object is distorted.

(1) these properties are common to all View types.

View

  • ВидKeep Label: Always show View Label if true.
  • ВидLineWidth: The thickness of visible lines. See Line Groups.
  • ВидHiddenWidth: The thickness of hidden lines, if enabled.
  • ВидIsoWidth: The thickness of isometric(u,v) surface lines and Dimension lines.
  • ВидExtraWidth: not implemented yet.
  • ВидShowCenters: Circle/arc center marks on/off.
  • ВидCenterScale: Circular arc center mark size adjustment, if enabled.
  • ВидHorizCenterLine: Show a horizontal centerline through view.
  • ВидVertCenterLine: Show a vertical centerline through view.
  • ВидShowSectionLine: Show/hide section line if applicable.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

The New View tool can be used in macros and from the Python console by using the following functions:

view = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewPart','View')
rc = page.addView(view)
FreeCAD.ActiveDocument.View.Source = [App.ActiveDocument.Box]
FreeCAD.ActiveDocument.View.Direction = (0.0,0.0,1.0)